libzypp 17.38.15

Date.h File Reference
`#include <ctime>`
`#include <iosfwd>`
`#include <string>`
`#include <zypp-core/base/Exception.h>`
`#include <zypp-core/base/EnumClass.h>`

Go to the source code of this file.

## Classes
class | zypp::Date
| Store and operate on date (time_t). More...
struct | zypp::Date::EDateFormatDef
| Date formats for printing (use like 'enum class DateFormat'). More...
struct | zypp::Date::ETimeFormatDef
| Time formats for printing (use like 'enum class TimeFormat'). More...
struct | zypp::Date::ETimeZoneFormatDef
| Timezone indicator for printing (use like 'enum class TimeZoneFormat'). More...
class | zypp::DateFormatException

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Functions
std::ostream & | zypp::operator<< (std::ostream &str, const Date &obj)
| relates: Date Stream output
std::ostream & | zypp::dumpAsXmlOn (std::ostream &str, const Date &obj, const std::string &name_r="date") ZYPP_API
| relates: Date XML output.